Package com.emc.d2fs.interfaces

# Interface IBravaCSRAnnotationService

All Superinterfaces:
  `ID2fsService`

public interface IBravaCSRAnnotationService extends ID2fsService

Author:
  slakhamr

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BravacsrNote`
  `createAnnotation(Context context, String content, String documentId, String folderPath, String user)`
  `List<String>`
  `fetchAllAnnotationIds(Context context, String objectId)`
  `List<String>`
  `fetchAllAnnotationUsers(Context context, String objectId)`
  `BravacsrNote`
  `fetchAnnotation(Context context, String objectId, String userId)`
  `BravacsrNote`
  `fetchAnnotationById(Context context, String objectId)`
  `String`
  `fetchChangemarkConfigURI(Context context)`
  `Rasters`
  `fetchImages(Context context, String baseURL)`
  `BravacsrNote`
  `updateAnnotation(Context context, BravacsrNote note, String content)`

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### createAnnotation

    BravacsrNote createAnnotation(Context context, String content, String documentId, String folderPath, String user) throws Exception
    Throws:
      `Exception`

  - ### updateAnnotation

    BravacsrNote updateAnnotation(Context context, BravacsrNote note, String content) throws Exception
    Throws:
      `Exception`

  - ### fetchAnnotation

    BravacsrNote fetchAnnotation(Context context, String objectId, String userId) throws Exception
    Throws:
      `Exception`

  - ### fetchAnnotationById

    BravacsrNote fetchAnnotationById(Context context, String objectId) throws Exception
    Throws:
      `Exception`

  - ### fetchAllAnnotationIds

    List<String> fetchAllAnnotationIds(Context context, String objectId) throws Exception
    Throws:
      `Exception`

  - ### fetchAllAnnotationUsers

    List<String> fetchAllAnnotationUsers(Context context, String objectId) throws Exception
    Throws:
      `Exception`

  - ### fetchChangemarkConfigURI

    String fetchChangemarkConfigURI(Context context) throws Exception
    Throws:
      `Exception`

  - ### fetchImages

    Rasters fetchImages(Context context, String baseURL) throws Exception
    Throws:
      `Exception`